### Interface

# Nautilus ColumnProvider

#### Description

    interface Nautilus.ColumnProvider : GObject.Object

No description available.

#### Prerequisite

In order to implement ColumnProvider, your type must inherit from`GObject`.

#### Instance methods

###### nautilus_column_provider_get_columns

No description available.

#### Interface structure

    struct NautilusColumnProviderInterface {
      GTypeInterface g_iface;
      GList* (* get_columns) (
        NautilusColumnProvider* provider
      );

    }

Interface for extensions to provide additional list view columns.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.
`get_columns` |
    GList* (* get_columns) (
        NautilusColumnProvider* provider
      )
| No description available.

#### Virtual methods

###### Nautilus.ColumnProvider.get_columns

No description available.